> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1licenseresetlicenses



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.License//swagger/v1/swagger.json post /api/v1/license/ResetLicenses
openapi: 3.0.0
info:
  title: NDS.Services.License
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.License/
security: []
paths:
  /api/v1/license/ResetLicenses:
    post:
      tags:
        - License
      operationId: License_ResetLicense
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetLicenseRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResetLicenseResult'
components:
  schemas:
    ResetLicenseRequest:
      type: object
      additionalProperties: false
      properties:
        Domain:
          type: string
          nullable: true
        Applications:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Application'
        Licensee:
          type: string
          nullable: true
        ProductKey:
          type: string
          nullable: true
        ViewerOfflineDays:
          type: integer
          format: int32
        Contracts:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Contract'
    ResetLicenseResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Application:
      allOf:
        - $ref: '#/components/schemas/ApplicationLight'
        - type: object
          additionalProperties: false
          properties:
            Id:
              type: string
              nullable: true
    Contract:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        StartDate:
          type: string
          format: date-time
          nullable: true
        ExpirationDate:
          type: string
          format: date-time
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ApplicationLight:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        IsUserLicense:
          type: boolean
        Licenses:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/LicenseType'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    LicenseType:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Total:
          type: integer
          format: int64
        Used:
          type: integer
          format: int64
        IsDemo:
          type: boolean
        StartDate:
          type: string
          format: date-time
          nullable: true
        ExpirationDate:
          type: string
          format: date-time
          nullable: true

````